package com.tzld.piaoquan.longarticle.job;

import com.tzld.piaoquan.longarticle.service.local.impl.CoreServiceImpl;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class PlanAccountJob {

    @Autowired
    private CoreServiceImpl coreService;


    @XxlJob("initPlanAccountJob")
    public ReturnT<String> initPlanAccount(String param) {
        coreService.initPlanAccount();
        return ReturnT.SUCCESS;
    }

    @XxlJob("matchPlanAccountJob")
    public ReturnT<String> matchPlanAccount(String param) {
        coreService.matchContent();
        return ReturnT.SUCCESS;
    }

    @XxlJob("corePlanAccountJob")
    public ReturnT<String> corePlanAccount(String param) {
        coreService.core();
        return ReturnT.SUCCESS;
    }

    @XxlJob("getPushStatusJob")
    public ReturnT<String> getPushStatus(String param) {
        coreService.getPushStatus();
        return ReturnT.SUCCESS;
    }

}
